Package com.mockobjects.jms

# Class MockTopic

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockTopic

All Implemented Interfaces:
  `Verifiable`

public class MockTopic extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockTopic()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTopicName()`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockTopic

public MockTopic()

## Method Details

### getTopicName

public String getTopicName() throws JMSException

Throws:
  `JMSException`